#include <stdio.h>


int* create_sequence10(int min) {
  int result[10];          
  for (int i=0; i<10; i++) {
    result[i] = min + i;
  }
  // returning a pointer to data on
  // the stack is bad! Don't do it.
  // This memory will be deallocated before the caller uses it.
  return result;
}

int main(int argc, char** argv) {

  int* seq = create_sequence10(0);
  // seq is now a dangling pointer

  // the dereference seq[5] will cause a
  // crash (at best) or read invalid memory (garbage).
  printf("element [5] is %d\n", seq[5]);
}

// We will learn how to correct this program when
// we learn about malloc/free and 'the heap'.
